


#include <libmatevfs/mate-vfs.h>
#include <libmatevfs/mate-vfs-mime-handlers.h>
#include <glib-object.h>

/* enumerations from "mate-vfs-directory.h" */
GType
mate_vfs_directory_visit_options_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_DIRECTORY_VISIT_DEFAULT, "MATE_VFS_DIRECTORY_VISIT_DEFAULT", "default" },
      { MATE_VFS_DIRECTORY_VISIT_SAMEFS, "MATE_VFS_DIRECTORY_VISIT_SAMEFS", "samefs" },
      { MATE_VFS_DIRECTORY_VISIT_LOOPCHECK, "MATE_VFS_DIRECTORY_VISIT_LOOPCHECK", "loopcheck" },
      { MATE_VFS_DIRECTORY_VISIT_IGNORE_RECURSE_ERROR, "MATE_VFS_DIRECTORY_VISIT_IGNORE_RECURSE_ERROR", "ignore-recurse-error" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSDirectoryVisitOptions", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-file-info.h" */
GType
mate_vfs_file_flags_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_FILE_FLAGS_NONE, "MATE_VFS_FILE_FLAGS_NONE", "none" },
      { MATE_VFS_FILE_FLAGS_SYMLINK, "MATE_VFS_FILE_FLAGS_SYMLINK", "symlink" },
      { MATE_VFS_FILE_FLAGS_LOCAL, "MATE_VFS_FILE_FLAGS_LOCAL", "local" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSFileFlags", values);
  }
  return etype;
}
GType
mate_vfs_file_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_FILE_TYPE_UNKNOWN, "MATE_VFS_FILE_TYPE_UNKNOWN", "unknown" },
      { MATE_VFS_FILE_TYPE_REGULAR, "MATE_VFS_FILE_TYPE_REGULAR", "regular" },
      { MATE_VFS_FILE_TYPE_DIRECTORY, "MATE_VFS_FILE_TYPE_DIRECTORY", "directory" },
      { MATE_VFS_FILE_TYPE_FIFO, "MATE_VFS_FILE_TYPE_FIFO", "fifo" },
      { MATE_VFS_FILE_TYPE_SOCKET, "MATE_VFS_FILE_TYPE_SOCKET", "socket" },
      { MATE_VFS_FILE_TYPE_CHARACTER_DEVICE, "MATE_VFS_FILE_TYPE_CHARACTER_DEVICE", "character-device" },
      { MATE_VFS_FILE_TYPE_BLOCK_DEVICE, "MATE_VFS_FILE_TYPE_BLOCK_DEVICE", "block-device" },
      { MATE_VFS_FILE_TYPE_SYMBOLIC_LINK, "MATE_VFS_FILE_TYPE_SYMBOLIC_LINK", "symbolic-link" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSFileType", values);
  }
  return etype;
}
GType
mate_vfs_file_info_fields_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_FILE_INFO_FIELDS_NONE, "MATE_VFS_FILE_INFO_FIELDS_NONE", "none" },
      { MATE_VFS_FILE_INFO_FIELDS_TYPE, "MATE_VFS_FILE_INFO_FIELDS_TYPE", "type" },
      { MATE_VFS_FILE_INFO_FIELDS_PERMISSIONS, "MATE_VFS_FILE_INFO_FIELDS_PERMISSIONS", "permissions" },
      { MATE_VFS_FILE_INFO_FIELDS_FLAGS, "MATE_VFS_FILE_INFO_FIELDS_FLAGS", "flags" },
      { MATE_VFS_FILE_INFO_FIELDS_DEVICE, "MATE_VFS_FILE_INFO_FIELDS_DEVICE", "device" },
      { MATE_VFS_FILE_INFO_FIELDS_INODE, "MATE_VFS_FILE_INFO_FIELDS_INODE", "inode" },
      { MATE_VFS_FILE_INFO_FIELDS_LINK_COUNT, "MATE_VFS_FILE_INFO_FIELDS_LINK_COUNT", "link-count" },
      { MATE_VFS_FILE_INFO_FIELDS_SIZE, "MATE_VFS_FILE_INFO_FIELDS_SIZE", "size" },
      { MATE_VFS_FILE_INFO_FIELDS_BLOCK_COUNT, "MATE_VFS_FILE_INFO_FIELDS_BLOCK_COUNT", "block-count" },
      { MATE_VFS_FILE_INFO_FIELDS_IO_BLOCK_SIZE, "MATE_VFS_FILE_INFO_FIELDS_IO_BLOCK_SIZE", "io-block-size" },
      { MATE_VFS_FILE_INFO_FIELDS_ATIME, "MATE_VFS_FILE_INFO_FIELDS_ATIME", "atime" },
      { MATE_VFS_FILE_INFO_FIELDS_MTIME, "MATE_VFS_FILE_INFO_FIELDS_MTIME", "mtime" },
      { MATE_VFS_FILE_INFO_FIELDS_CTIME, "MATE_VFS_FILE_INFO_FIELDS_CTIME", "ctime" },
      { MATE_VFS_FILE_INFO_FIELDS_SYMLINK_NAME, "MATE_VFS_FILE_INFO_FIELDS_SYMLINK_NAME", "symlink-name" },
      { MATE_VFS_FILE_INFO_FIELDS_MIME_TYPE, "MATE_VFS_FILE_INFO_FIELDS_MIME_TYPE", "mime-type" },
      { MATE_VFS_FILE_INFO_FIELDS_ACCESS, "MATE_VFS_FILE_INFO_FIELDS_ACCESS", "access" },
      { MATE_VFS_FILE_INFO_FIELDS_IDS, "MATE_VFS_FILE_INFO_FIELDS_IDS", "ids" },
      { MATE_VFS_FILE_INFO_FIELDS_ACL, "MATE_VFS_FILE_INFO_FIELDS_ACL", "acl" },
      { MATE_VFS_FILE_INFO_FIELDS_SELINUX_CONTEXT, "MATE_VFS_FILE_INFO_FIELDS_SELINUX_CONTEXT", "selinux-context" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSFileInfoFields", values);
  }
  return etype;
}
GType
mate_vfs_file_permissions_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_PERM_SUID, "MATE_VFS_PERM_SUID", "suid" },
      { MATE_VFS_PERM_SGID, "MATE_VFS_PERM_SGID", "sgid" },
      { MATE_VFS_PERM_STICKY, "MATE_VFS_PERM_STICKY", "sticky" },
      { MATE_VFS_PERM_USER_READ, "MATE_VFS_PERM_USER_READ", "user-read" },
      { MATE_VFS_PERM_USER_WRITE, "MATE_VFS_PERM_USER_WRITE", "user-write" },
      { MATE_VFS_PERM_USER_EXEC, "MATE_VFS_PERM_USER_EXEC", "user-exec" },
      { MATE_VFS_PERM_USER_ALL, "MATE_VFS_PERM_USER_ALL", "user-all" },
      { MATE_VFS_PERM_GROUP_READ, "MATE_VFS_PERM_GROUP_READ", "group-read" },
      { MATE_VFS_PERM_GROUP_WRITE, "MATE_VFS_PERM_GROUP_WRITE", "group-write" },
      { MATE_VFS_PERM_GROUP_EXEC, "MATE_VFS_PERM_GROUP_EXEC", "group-exec" },
      { MATE_VFS_PERM_GROUP_ALL, "MATE_VFS_PERM_GROUP_ALL", "group-all" },
      { MATE_VFS_PERM_OTHER_READ, "MATE_VFS_PERM_OTHER_READ", "other-read" },
      { MATE_VFS_PERM_OTHER_WRITE, "MATE_VFS_PERM_OTHER_WRITE", "other-write" },
      { MATE_VFS_PERM_OTHER_EXEC, "MATE_VFS_PERM_OTHER_EXEC", "other-exec" },
      { MATE_VFS_PERM_OTHER_ALL, "MATE_VFS_PERM_OTHER_ALL", "other-all" },
      { MATE_VFS_PERM_ACCESS_READABLE, "MATE_VFS_PERM_ACCESS_READABLE", "access-readable" },
      { MATE_VFS_PERM_ACCESS_WRITABLE, "MATE_VFS_PERM_ACCESS_WRITABLE", "access-writable" },
      { MATE_VFS_PERM_ACCESS_EXECUTABLE, "MATE_VFS_PERM_ACCESS_EXECUTABLE", "access-executable" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSFilePermissions", values);
  }
  return etype;
}
GType
mate_vfs_file_info_options_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_FILE_INFO_DEFAULT, "MATE_VFS_FILE_INFO_DEFAULT", "default" },
      { MATE_VFS_FILE_INFO_GET_MIME_TYPE, "MATE_VFS_FILE_INFO_GET_MIME_TYPE", "get-mime-type" },
      { MATE_VFS_FILE_INFO_FORCE_FAST_MIME_TYPE, "MATE_VFS_FILE_INFO_FORCE_FAST_MIME_TYPE", "force-fast-mime-type" },
      { MATE_VFS_FILE_INFO_FORCE_SLOW_MIME_TYPE, "MATE_VFS_FILE_INFO_FORCE_SLOW_MIME_TYPE", "force-slow-mime-type" },
      { MATE_VFS_FILE_INFO_FOLLOW_LINKS, "MATE_VFS_FILE_INFO_FOLLOW_LINKS", "follow-links" },
      { MATE_VFS_FILE_INFO_GET_ACCESS_RIGHTS, "MATE_VFS_FILE_INFO_GET_ACCESS_RIGHTS", "get-access-rights" },
      { MATE_VFS_FILE_INFO_NAME_ONLY, "MATE_VFS_FILE_INFO_NAME_ONLY", "name-only" },
      { MATE_VFS_FILE_INFO_GET_ACL, "MATE_VFS_FILE_INFO_GET_ACL", "get-acl" },
      { MATE_VFS_FILE_INFO_GET_SELINUX_CONTEXT, "MATE_VFS_FILE_INFO_GET_SELINUX_CONTEXT", "get-selinux-context" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSFileInfoOptions", values);
  }
  return etype;
}
GType
mate_vfs_set_file_info_mask_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_SET_FILE_INFO_NONE, "MATE_VFS_SET_FILE_INFO_NONE", "none" },
      { MATE_VFS_SET_FILE_INFO_NAME, "MATE_VFS_SET_FILE_INFO_NAME", "name" },
      { MATE_VFS_SET_FILE_INFO_PERMISSIONS, "MATE_VFS_SET_FILE_INFO_PERMISSIONS", "permissions" },
      { MATE_VFS_SET_FILE_INFO_OWNER, "MATE_VFS_SET_FILE_INFO_OWNER", "owner" },
      { MATE_VFS_SET_FILE_INFO_TIME, "MATE_VFS_SET_FILE_INFO_TIME", "time" },
      { MATE_VFS_SET_FILE_INFO_ACL, "MATE_VFS_SET_FILE_INFO_ACL", "acl" },
      { MATE_VFS_SET_FILE_INFO_SELINUX_CONTEXT, "MATE_VFS_SET_FILE_INFO_SELINUX_CONTEXT", "selinux-context" },
      { MATE_VFS_SET_FILE_INFO_SYMLINK_NAME, "MATE_VFS_SET_FILE_INFO_SYMLINK_NAME", "symlink-name" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSSetFileInfoMask", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-find-directory.h" */
GType
mate_vfs_find_directory_kind_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_DIRECTORY_KIND_DESKTOP, "MATE_VFS_DIRECTORY_KIND_DESKTOP", "desktop" },
      { MATE_VFS_DIRECTORY_KIND_TRASH, "MATE_VFS_DIRECTORY_KIND_TRASH", "trash" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSFindDirectoryKind", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-handle.h" */
GType
mate_vfs_open_mode_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_OPEN_NONE, "MATE_VFS_OPEN_NONE", "none" },
      { MATE_VFS_OPEN_READ, "MATE_VFS_OPEN_READ", "read" },
      { MATE_VFS_OPEN_WRITE, "MATE_VFS_OPEN_WRITE", "write" },
      { MATE_VFS_OPEN_RANDOM, "MATE_VFS_OPEN_RANDOM", "random" },
      { MATE_VFS_OPEN_TRUNCATE, "MATE_VFS_OPEN_TRUNCATE", "truncate" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSOpenMode", values);
  }
  return etype;
}
GType
mate_vfs_seek_position_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_SEEK_START, "MATE_VFS_SEEK_START", "start" },
      { MATE_VFS_SEEK_CURRENT, "MATE_VFS_SEEK_CURRENT", "current" },
      { MATE_VFS_SEEK_END, "MATE_VFS_SEEK_END", "end" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSSeekPosition", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-mime-deprecated.h" */
GType
mate_vfs_mime_action_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_MIME_ACTION_TYPE_NONE, "MATE_VFS_MIME_ACTION_TYPE_NONE", "none" },
      { MATE_VFS_MIME_ACTION_TYPE_APPLICATION, "MATE_VFS_MIME_ACTION_TYPE_APPLICATION", "application" },
      { MATE_VFS_MIME_ACTION_TYPE_COMPONENT, "MATE_VFS_MIME_ACTION_TYPE_COMPONENT", "component" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSMimeActionType", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-mime-handlers.h" */
GType
mate_vfs_mime_application_argument_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_MIME_APPLICATION_ARGUMENT_TYPE_URIS, "MATE_VFS_MIME_APPLICATION_ARGUMENT_TYPE_URIS", "uris" },
      { MATE_VFS_MIME_APPLICATION_ARGUMENT_TYPE_PATHS, "MATE_VFS_MIME_APPLICATION_ARGUMENT_TYPE_PATHS", "paths" },
      { MATE_VFS_MIME_APPLICATION_ARGUMENT_TYPE_URIS_FOR_NON_FILES, "MATE_VFS_MIME_APPLICATION_ARGUMENT_TYPE_URIS_FOR_NON_FILES", "uris-for-non-files" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSMimeApplicationArgumentType", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-mime-utils.h" */
GType
mate_vfs_mime_equivalence_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_MIME_UNRELATED, "MATE_VFS_MIME_UNRELATED", "unrelated" },
      { MATE_VFS_MIME_IDENTICAL, "MATE_VFS_MIME_IDENTICAL", "identical" },
      { MATE_VFS_MIME_PARENT, "MATE_VFS_MIME_PARENT", "parent" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSMimeEquivalence", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-monitor.h" */
GType
mate_vfs_monitor_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_MONITOR_FILE, "MATE_VFS_MONITOR_FILE", "file" },
      { MATE_VFS_MONITOR_DIRECTORY, "MATE_VFS_MONITOR_DIRECTORY", "directory" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSMonitorType", values);
  }
  return etype;
}
GType
mate_vfs_monitor_event_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_MONITOR_EVENT_CHANGED, "MATE_VFS_MONITOR_EVENT_CHANGED", "changed" },
      { MATE_VFS_MONITOR_EVENT_DELETED, "MATE_VFS_MONITOR_EVENT_DELETED", "deleted" },
      { MATE_VFS_MONITOR_EVENT_STARTEXECUTING, "MATE_VFS_MONITOR_EVENT_STARTEXECUTING", "startexecuting" },
      { MATE_VFS_MONITOR_EVENT_STOPEXECUTING, "MATE_VFS_MONITOR_EVENT_STOPEXECUTING", "stopexecuting" },
      { MATE_VFS_MONITOR_EVENT_CREATED, "MATE_VFS_MONITOR_EVENT_CREATED", "created" },
      { MATE_VFS_MONITOR_EVENT_METADATA_CHANGED, "MATE_VFS_MONITOR_EVENT_METADATA_CHANGED", "metadata-changed" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSMonitorEventType", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-result.h" */
GType
mate_vfs_result_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_OK, "MATE_VFS_OK", "ok" },
      { MATE_VFS_ERROR_NOT_FOUND, "MATE_VFS_ERROR_NOT_FOUND", "error-not-found" },
      { MATE_VFS_ERROR_GENERIC, "MATE_VFS_ERROR_GENERIC", "error-generic" },
      { MATE_VFS_ERROR_INTERNAL, "MATE_VFS_ERROR_INTERNAL", "error-internal" },
      { MATE_VFS_ERROR_BAD_PARAMETERS, "MATE_VFS_ERROR_BAD_PARAMETERS", "error-bad-parameters" },
      { MATE_VFS_ERROR_NOT_SUPPORTED, "MATE_VFS_ERROR_NOT_SUPPORTED", "error-not-supported" },
      { MATE_VFS_ERROR_IO, "MATE_VFS_ERROR_IO", "error-io" },
      { MATE_VFS_ERROR_CORRUPTED_DATA, "MATE_VFS_ERROR_CORRUPTED_DATA", "error-corrupted-data" },
      { MATE_VFS_ERROR_WRONG_FORMAT, "MATE_VFS_ERROR_WRONG_FORMAT", "error-wrong-format" },
      { MATE_VFS_ERROR_BAD_FILE, "MATE_VFS_ERROR_BAD_FILE", "error-bad-file" },
      { MATE_VFS_ERROR_TOO_BIG, "MATE_VFS_ERROR_TOO_BIG", "error-too-big" },
      { MATE_VFS_ERROR_NO_SPACE, "MATE_VFS_ERROR_NO_SPACE", "error-no-space" },
      { MATE_VFS_ERROR_READ_ONLY, "MATE_VFS_ERROR_READ_ONLY", "error-read-only" },
      { MATE_VFS_ERROR_INVALID_URI, "MATE_VFS_ERROR_INVALID_URI", "error-invalid-uri" },
      { MATE_VFS_ERROR_NOT_OPEN, "MATE_VFS_ERROR_NOT_OPEN", "error-not-open" },
      { MATE_VFS_ERROR_INVALID_OPEN_MODE, "MATE_VFS_ERROR_INVALID_OPEN_MODE", "error-invalid-open-mode" },
      { MATE_VFS_ERROR_ACCESS_DENIED, "MATE_VFS_ERROR_ACCESS_DENIED", "error-access-denied" },
      { MATE_VFS_ERROR_TOO_MANY_OPEN_FILES, "MATE_VFS_ERROR_TOO_MANY_OPEN_FILES", "error-too-many-open-files" },
      { MATE_VFS_ERROR_EOF, "MATE_VFS_ERROR_EOF", "error-eof" },
      { MATE_VFS_ERROR_NOT_A_DIRECTORY, "MATE_VFS_ERROR_NOT_A_DIRECTORY", "error-not-a-directory" },
      { MATE_VFS_ERROR_IN_PROGRESS, "MATE_VFS_ERROR_IN_PROGRESS", "error-in-progress" },
      { MATE_VFS_ERROR_INTERRUPTED, "MATE_VFS_ERROR_INTERRUPTED", "error-interrupted" },
      { MATE_VFS_ERROR_FILE_EXISTS, "MATE_VFS_ERROR_FILE_EXISTS", "error-file-exists" },
      { MATE_VFS_ERROR_LOOP, "MATE_VFS_ERROR_LOOP", "error-loop" },
      { MATE_VFS_ERROR_NOT_PERMITTED, "MATE_VFS_ERROR_NOT_PERMITTED", "error-not-permitted" },
      { MATE_VFS_ERROR_IS_DIRECTORY, "MATE_VFS_ERROR_IS_DIRECTORY", "error-is-directory" },
      { MATE_VFS_ERROR_NO_MEMORY, "MATE_VFS_ERROR_NO_MEMORY", "error-no-memory" },
      { MATE_VFS_ERROR_HOST_NOT_FOUND, "MATE_VFS_ERROR_HOST_NOT_FOUND", "error-host-not-found" },
      { MATE_VFS_ERROR_INVALID_HOST_NAME, "MATE_VFS_ERROR_INVALID_HOST_NAME", "error-invalid-host-name" },
      { MATE_VFS_ERROR_HOST_HAS_NO_ADDRESS, "MATE_VFS_ERROR_HOST_HAS_NO_ADDRESS", "error-host-has-no-address" },
      { MATE_VFS_ERROR_LOGIN_FAILED, "MATE_VFS_ERROR_LOGIN_FAILED", "error-login-failed" },
      { MATE_VFS_ERROR_CANCELLED, "MATE_VFS_ERROR_CANCELLED", "error-cancelled" },
      { MATE_VFS_ERROR_DIRECTORY_BUSY, "MATE_VFS_ERROR_DIRECTORY_BUSY", "error-directory-busy" },
      { MATE_VFS_ERROR_DIRECTORY_NOT_EMPTY, "MATE_VFS_ERROR_DIRECTORY_NOT_EMPTY", "error-directory-not-empty" },
      { MATE_VFS_ERROR_TOO_MANY_LINKS, "MATE_VFS_ERROR_TOO_MANY_LINKS", "error-too-many-links" },
      { MATE_VFS_ERROR_READ_ONLY_FILE_SYSTEM, "MATE_VFS_ERROR_READ_ONLY_FILE_SYSTEM", "error-read-only-file-system" },
      { MATE_VFS_ERROR_NOT_SAME_FILE_SYSTEM, "MATE_VFS_ERROR_NOT_SAME_FILE_SYSTEM", "error-not-same-file-system" },
      { MATE_VFS_ERROR_NAME_TOO_LONG, "MATE_VFS_ERROR_NAME_TOO_LONG", "error-name-too-long" },
      { MATE_VFS_ERROR_SERVICE_NOT_AVAILABLE, "MATE_VFS_ERROR_SERVICE_NOT_AVAILABLE", "error-service-not-available" },
      { MATE_VFS_ERROR_SERVICE_OBSOLETE, "MATE_VFS_ERROR_SERVICE_OBSOLETE", "error-service-obsolete" },
      { MATE_VFS_ERROR_PROTOCOL_ERROR, "MATE_VFS_ERROR_PROTOCOL_ERROR", "error-protocol-error" },
      { MATE_VFS_ERROR_NO_MASTER_BROWSER, "MATE_VFS_ERROR_NO_MASTER_BROWSER", "error-no-master-browser" },
      { MATE_VFS_ERROR_NO_DEFAULT, "MATE_VFS_ERROR_NO_DEFAULT", "error-no-default" },
      { MATE_VFS_ERROR_NO_HANDLER, "MATE_VFS_ERROR_NO_HANDLER", "error-no-handler" },
      { MATE_VFS_ERROR_PARSE, "MATE_VFS_ERROR_PARSE", "error-parse" },
      { MATE_VFS_ERROR_LAUNCH, "MATE_VFS_ERROR_LAUNCH", "error-launch" },
      { MATE_VFS_ERROR_TIMEOUT, "MATE_VFS_ERROR_TIMEOUT", "error-timeout" },
      { MATE_VFS_ERROR_NAMESERVER, "MATE_VFS_ERROR_NAMESERVER", "error-nameserver" },
      { MATE_VFS_ERROR_LOCKED, "MATE_VFS_ERROR_LOCKED", "error-locked" },
      { MATE_VFS_ERROR_DEPRECATED_FUNCTION, "MATE_VFS_ERROR_DEPRECATED_FUNCTION", "error-deprecated-function" },
      { MATE_VFS_ERROR_INVALID_FILENAME, "MATE_VFS_ERROR_INVALID_FILENAME", "error-invalid-filename" },
      { MATE_VFS_ERROR_NOT_A_SYMBOLIC_LINK, "MATE_VFS_ERROR_NOT_A_SYMBOLIC_LINK", "error-not-a-symbolic-link" },
      { MATE_VFS_NUM_ERRORS, "MATE_VFS_NUM_ERRORS", "num-errors" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSResult", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-standard-callbacks.h" */
GType
mate_vfs_module_callback_full_authentication_flags_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_PREVIOUS_ATTEMPT_FAILED, "MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_PREVIOUS_ATTEMPT_FAILED", "previous-attempt-failed" },
      { MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_NEED_PASSWORD, "MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_NEED_PASSWORD", "need-password" },
      { MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_NEED_USERNAME, "MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_NEED_USERNAME", "need-username" },
      { MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_NEED_DOMAIN, "MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_NEED_DOMAIN", "need-domain" },
      { MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_SAVING_SUPPORTED, "MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_SAVING_SUPPORTED", "saving-supported" },
      { MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_ANON_SUPPORTED, "MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_ANON_SUPPORTED", "anon-supported" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSModuleCallbackFullAuthenticationFlags", values);
  }
  return etype;
}
GType
mate_vfs_module_callback_full_authentication_out_flags_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_OUT_ANON_SELECTED, "MATE_VFS_MODULE_CALLBACK_FULL_AUTHENTICATION_OUT_ANON_SELECTED", "selected" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSModuleCallbackFullAuthenticationOutFlags", values);
  }
  return etype;
}
GType
mate_vfs_module_callback_authentication_auth_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { AuthTypeBasic, "AuthTypeBasic", "basic" },
      { AuthTypeDigest, "AuthTypeDigest", "digest" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSModuleCallbackAuthenticationAuthType", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-utils.h" */
GType
mate_vfs_make_uri_dirs_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_MAKE_URI_DIR_NONE, "MATE_VFS_MAKE_URI_DIR_NONE", "none" },
      { MATE_VFS_MAKE_URI_DIR_HOMEDIR, "MATE_VFS_MAKE_URI_DIR_HOMEDIR", "homedir" },
      { MATE_VFS_MAKE_URI_DIR_CURRENT, "MATE_VFS_MAKE_URI_DIR_CURRENT", "current" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSMakeURIDirs", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-volume.h" */
GType
mate_vfs_device_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_DEVICE_TYPE_UNKNOWN, "MATE_VFS_DEVICE_TYPE_UNKNOWN", "unknown" },
      { MATE_VFS_DEVICE_TYPE_AUDIO_CD, "MATE_VFS_DEVICE_TYPE_AUDIO_CD", "audio-cd" },
      { MATE_VFS_DEVICE_TYPE_VIDEO_DVD, "MATE_VFS_DEVICE_TYPE_VIDEO_DVD", "video-dvd" },
      { MATE_VFS_DEVICE_TYPE_HARDDRIVE, "MATE_VFS_DEVICE_TYPE_HARDDRIVE", "harddrive" },
      { MATE_VFS_DEVICE_TYPE_CDROM, "MATE_VFS_DEVICE_TYPE_CDROM", "cdrom" },
      { MATE_VFS_DEVICE_TYPE_FLOPPY, "MATE_VFS_DEVICE_TYPE_FLOPPY", "floppy" },
      { MATE_VFS_DEVICE_TYPE_ZIP, "MATE_VFS_DEVICE_TYPE_ZIP", "zip" },
      { MATE_VFS_DEVICE_TYPE_JAZ, "MATE_VFS_DEVICE_TYPE_JAZ", "jaz" },
      { MATE_VFS_DEVICE_TYPE_NFS, "MATE_VFS_DEVICE_TYPE_NFS", "nfs" },
      { MATE_VFS_DEVICE_TYPE_AUTOFS, "MATE_VFS_DEVICE_TYPE_AUTOFS", "autofs" },
      { MATE_VFS_DEVICE_TYPE_CAMERA, "MATE_VFS_DEVICE_TYPE_CAMERA", "camera" },
      { MATE_VFS_DEVICE_TYPE_MEMORY_STICK, "MATE_VFS_DEVICE_TYPE_MEMORY_STICK", "memory-stick" },
      { MATE_VFS_DEVICE_TYPE_SMB, "MATE_VFS_DEVICE_TYPE_SMB", "smb" },
      { MATE_VFS_DEVICE_TYPE_APPLE, "MATE_VFS_DEVICE_TYPE_APPLE", "apple" },
      { MATE_VFS_DEVICE_TYPE_MUSIC_PLAYER, "MATE_VFS_DEVICE_TYPE_MUSIC_PLAYER", "music-player" },
      { MATE_VFS_DEVICE_TYPE_WINDOWS, "MATE_VFS_DEVICE_TYPE_WINDOWS", "windows" },
      { MATE_VFS_DEVICE_TYPE_LOOPBACK, "MATE_VFS_DEVICE_TYPE_LOOPBACK", "loopback" },
      { MATE_VFS_DEVICE_TYPE_NETWORK, "MATE_VFS_DEVICE_TYPE_NETWORK", "network" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSDeviceType", values);
  }
  return etype;
}
GType
mate_vfs_volume_type_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_VOLUME_TYPE_MOUNTPOINT, "MATE_VFS_VOLUME_TYPE_MOUNTPOINT", "mountpoint" },
      { MATE_VFS_VOLUME_TYPE_VFS_MOUNT, "MATE_VFS_VOLUME_TYPE_VFS_MOUNT", "vfs-mount" },
      { MATE_VFS_VOLUME_TYPE_CONNECTED_SERVER, "MATE_VFS_VOLUME_TYPE_CONNECTED_SERVER", "connected-server" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSVolumeType", values);
  }
  return etype;
}

/* enumerations from "mate-vfs-xfer.h" */
GType
mate_vfs_xfer_options_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GFlagsValue values[] = {
      { MATE_VFS_XFER_DEFAULT, "MATE_VFS_XFER_DEFAULT", "default" },
      { MATE_VFS_XFER_UNUSED_1, "MATE_VFS_XFER_UNUSED_1", "unused-1" },
      { MATE_VFS_XFER_FOLLOW_LINKS, "MATE_VFS_XFER_FOLLOW_LINKS", "follow-links" },
      { MATE_VFS_XFER_UNUSED_2, "MATE_VFS_XFER_UNUSED_2", "unused-2" },
      { MATE_VFS_XFER_RECURSIVE, "MATE_VFS_XFER_RECURSIVE", "recursive" },
      { MATE_VFS_XFER_SAMEFS, "MATE_VFS_XFER_SAMEFS", "samefs" },
      { MATE_VFS_XFER_DELETE_ITEMS, "MATE_VFS_XFER_DELETE_ITEMS", "delete-items" },
      { MATE_VFS_XFER_EMPTY_DIRECTORIES, "MATE_VFS_XFER_EMPTY_DIRECTORIES", "empty-directories" },
      { MATE_VFS_XFER_NEW_UNIQUE_DIRECTORY, "MATE_VFS_XFER_NEW_UNIQUE_DIRECTORY", "new-unique-directory" },
      { MATE_VFS_XFER_REMOVESOURCE, "MATE_VFS_XFER_REMOVESOURCE", "removesource" },
      { MATE_VFS_XFER_USE_UNIQUE_NAMES, "MATE_VFS_XFER_USE_UNIQUE_NAMES", "use-unique-names" },
      { MATE_VFS_XFER_LINK_ITEMS, "MATE_VFS_XFER_LINK_ITEMS", "link-items" },
      { MATE_VFS_XFER_FOLLOW_LINKS_RECURSIVE, "MATE_VFS_XFER_FOLLOW_LINKS_RECURSIVE", "follow-links-recursive" },
      { MATE_VFS_XFER_TARGET_DEFAULT_PERMS, "MATE_VFS_XFER_TARGET_DEFAULT_PERMS", "target-default-perms" },
      { 0, NULL, NULL }
    };
    etype = g_flags_register_static ("MateVFSXferOptions", values);
  }
  return etype;
}
GType
mate_vfs_xfer_progress_status_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_XFER_PROGRESS_STATUS_OK, "MATE_VFS_XFER_PROGRESS_STATUS_OK", "ok" },
      { MATE_VFS_XFER_PROGRESS_STATUS_VFSERROR, "MATE_VFS_XFER_PROGRESS_STATUS_VFSERROR", "vfserror" },
      { MATE_VFS_XFER_PROGRESS_STATUS_OVERWRITE, "MATE_VFS_XFER_PROGRESS_STATUS_OVERWRITE", "overwrite" },
      { MATE_VFS_XFER_PROGRESS_STATUS_DUPLICATE, "MATE_VFS_XFER_PROGRESS_STATUS_DUPLICATE", "duplicate" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSXferProgressStatus", values);
  }
  return etype;
}
GType
mate_vfs_xfer_overwrite_mode_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_XFER_OVERWRITE_MODE_ABORT, "MATE_VFS_XFER_OVERWRITE_MODE_ABORT", "abort" },
      { MATE_VFS_XFER_OVERWRITE_MODE_QUERY, "MATE_VFS_XFER_OVERWRITE_MODE_QUERY", "query" },
      { MATE_VFS_XFER_OVERWRITE_MODE_REPLACE, "MATE_VFS_XFER_OVERWRITE_MODE_REPLACE", "replace" },
      { MATE_VFS_XFER_OVERWRITE_MODE_SKIP, "MATE_VFS_XFER_OVERWRITE_MODE_SKIP", "skip" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSXferOverwriteMode", values);
  }
  return etype;
}
GType
mate_vfs_xfer_overwrite_action_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_XFER_OVERWRITE_ACTION_ABORT, "MATE_VFS_XFER_OVERWRITE_ACTION_ABORT", "abort" },
      { MATE_VFS_XFER_OVERWRITE_ACTION_REPLACE, "MATE_VFS_XFER_OVERWRITE_ACTION_REPLACE", "replace" },
      { MATE_VFS_XFER_OVERWRITE_ACTION_REPLACE_ALL, "MATE_VFS_XFER_OVERWRITE_ACTION_REPLACE_ALL", "replace-all" },
      { MATE_VFS_XFER_OVERWRITE_ACTION_SKIP, "MATE_VFS_XFER_OVERWRITE_ACTION_SKIP", "skip" },
      { MATE_VFS_XFER_OVERWRITE_ACTION_SKIP_ALL, "MATE_VFS_XFER_OVERWRITE_ACTION_SKIP_ALL", "skip-all" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSXferOverwriteAction", values);
  }
  return etype;
}
GType
mate_vfs_xfer_error_mode_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_XFER_ERROR_MODE_ABORT, "MATE_VFS_XFER_ERROR_MODE_ABORT", "abort" },
      { MATE_VFS_XFER_ERROR_MODE_QUERY, "MATE_VFS_XFER_ERROR_MODE_QUERY", "query" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSXferErrorMode", values);
  }
  return etype;
}
GType
mate_vfs_xfer_error_action_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_XFER_ERROR_ACTION_ABORT, "MATE_VFS_XFER_ERROR_ACTION_ABORT", "abort" },
      { MATE_VFS_XFER_ERROR_ACTION_RETRY, "MATE_VFS_XFER_ERROR_ACTION_RETRY", "retry" },
      { MATE_VFS_XFER_ERROR_ACTION_SKIP, "MATE_VFS_XFER_ERROR_ACTION_SKIP", "skip" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSXferErrorAction", values);
  }
  return etype;
}
GType
mate_vfs_xfer_phase_get_type (void)
{
  static GType etype = 0;
  if (etype == 0) {
    static const GEnumValue values[] = {
      { MATE_VFS_XFER_PHASE_INITIAL, "MATE_VFS_XFER_PHASE_INITIAL", "phase-initial" },
      { MATE_VFS_XFER_CHECKING_DESTINATION, "MATE_VFS_XFER_CHECKING_DESTINATION", "checking-destination" },
      { MATE_VFS_XFER_PHASE_COLLECTING, "MATE_VFS_XFER_PHASE_COLLECTING", "phase-collecting" },
      { MATE_VFS_XFER_PHASE_READYTOGO, "MATE_VFS_XFER_PHASE_READYTOGO", "phase-readytogo" },
      { MATE_VFS_XFER_PHASE_OPENSOURCE, "MATE_VFS_XFER_PHASE_OPENSOURCE", "phase-opensource" },
      { MATE_VFS_XFER_PHASE_OPENTARGET, "MATE_VFS_XFER_PHASE_OPENTARGET", "phase-opentarget" },
      { MATE_VFS_XFER_PHASE_COPYING, "MATE_VFS_XFER_PHASE_COPYING", "phase-copying" },
      { MATE_VFS_XFER_PHASE_MOVING, "MATE_VFS_XFER_PHASE_MOVING", "phase-moving" },
      { MATE_VFS_XFER_PHASE_READSOURCE, "MATE_VFS_XFER_PHASE_READSOURCE", "phase-readsource" },
      { MATE_VFS_XFER_PHASE_WRITETARGET, "MATE_VFS_XFER_PHASE_WRITETARGET", "phase-writetarget" },
      { MATE_VFS_XFER_PHASE_CLOSESOURCE, "MATE_VFS_XFER_PHASE_CLOSESOURCE", "phase-closesource" },
      { MATE_VFS_XFER_PHASE_CLOSETARGET, "MATE_VFS_XFER_PHASE_CLOSETARGET", "phase-closetarget" },
      { MATE_VFS_XFER_PHASE_DELETESOURCE, "MATE_VFS_XFER_PHASE_DELETESOURCE", "phase-deletesource" },
      { MATE_VFS_XFER_PHASE_SETATTRIBUTES, "MATE_VFS_XFER_PHASE_SETATTRIBUTES", "phase-setattributes" },
      { MATE_VFS_XFER_PHASE_FILECOMPLETED, "MATE_VFS_XFER_PHASE_FILECOMPLETED", "phase-filecompleted" },
      { MATE_VFS_XFER_PHASE_CLEANUP, "MATE_VFS_XFER_PHASE_CLEANUP", "phase-cleanup" },
      { MATE_VFS_XFER_PHASE_COMPLETED, "MATE_VFS_XFER_PHASE_COMPLETED", "phase-completed" },
      { MATE_VFS_XFER_NUM_PHASES, "MATE_VFS_XFER_NUM_PHASES", "num-phases" },
      { 0, NULL, NULL }
    };
    etype = g_enum_register_static ("MateVFSXferPhase", values);
  }
  return etype;
}



